kind: pipeline
type: docker
name: 1
platform:
  os: linux
  arch: amd64
  
volumes:
  - name: cache 
    host:
      path: /tmp/cache
      
steps:
#- name: detection
#  image: python:3
#  failure: ignore
#  commands:
#    - echo **detection test**
#    - curl 'http://121.40.129.71:40111/openi/projects/droneDetect' -X POST --header 'content-type:application/json;charset=UTF-8' -d '{"currentUser":"wangwei2","repoOwner":"wangwei2","repository":"report-python3","branchName":"test"}'

- name: build
  image: python:3
  commands:
    - echo **start**
    - pip install -r requirements.txt

- name: test
  image: python:3
  commands:
    - pip install -r requirements.txt
    - python run_excel_re.py
    - ls -lR test_Report
    - cp -r test_Report/* /tmp/cache
  volumes:
    - name: cache 
      path: /tmp/cache 

trigger:
  branch:
  - master
  event:
  - push
